Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Destiny3DFactory Class Reference

Inheritance diagram for Destiny3DFactory:

[legend]
Collaboration diagram for Destiny3DFactory:

[legend]
List of all members.

## Public Member Functions
| Destiny3DFactory ()
| ~Destiny3DFactory ()
void | ShutDown ()
long | GetIdeBitmapRscInterfaceID ()
long | GetIdeBitmapProxyWOInterfaceID ()
long | GetIdeAnimatedMeshRscInterfaceID ()
long | GetIdeSurfaceWOInterfaceID ()
long | GetIdeRenderStateWOInterfaceID ()
long | GetIdeSceneRoomWOInterfaceID ()
long | GetIdeSceneObjectWOInterfaceID ()
long | GetIdeMeshWOInterfaceID ()
IdeResourceManager * | GetIdeResourceManager ()
IdeRender * | GetIdeRender ()
IdeSceneGraph * | GetIdeSceneGraph ()
IdeWorldManager * | GetIdeWorldManager ()
IdeThreadPool * | GetIdeThreadPool (u32 minThreadCount)
Ide2DCollection * | CreateIde2DCollection ()
IdeFont * | CreateIdeFont ()
IdeBitmap * | CreateIdeBitmap ()
IdeBitmap * | CreateIdeBitmapWithInfo (s32 Width, s32 Height, IdeDriver::BPP Format, deBoolean CubeMap)
IdeBitmapProxy * | CreateIdeBitmapProxy (IdeResourceBase *FromBitmap)
IdeMesh * | CreateIdeMesh ()
IdeDriverLoad * | CreateIdeDriverLoad (char const *path)
IdeVertexBuffer * | CreateIdeVertexBuffer ()
IdeSurface * | CreateIdeSurface ()
IdeRenderTexture * | CreateIdeRenderTexture ()
IdeRenderMaterial * | CreateIdeRenderMaterial ()
IdeRenderLight * | CreateIdeRenderLight ()
IdeFileMemory * | CreateIdeFileMemory ()
IdeFilePlugin * | CreateIdeFilePlugin ()
IdeFSReal * | CreateIdeFSReal ()
IdeFSVirtual * | CreateIdeFSVirtual ()
IdePluginTwofish * | CreateIdePluginTwofish ()
IdePluginRijndael * | CreateIdePluginRijndael ()
IdePluginZLib * | CreateIdePluginZLib ()
IdePluginSHA1 * | CreateIdePluginSHA1 ()
IdeCamera * | CreateIdeCamera ()
IdePlaneFrustum * | CreateIdePlaneFrustum ()
IdePortal * | CreateIdePortal ()
IdeCollision * | CreateIdeCollision ()
IdeSceneRoom * | CreateIdeSceneRoom ()
IdeSceneABT * | CreateIdeSceneABT ()
IdeSceneActor * | CreateIdeSceneActor ()
IdeSceneSky * | CreateIdeSceneSky ()
IdeSceneStaticMesh * | CreateIdeSceneStaticMesh ()
IdeSceneTerrain * | CreateIdeSceneTerrain ()
IdeSceneLight * | CreateIdeSceneLight ()
IdeThread * | CreateIdeThread (IdeThread::ThreadProc threadProc)
IdeThreadLock * | CreateIdeThreadLock (u32 spinCount)
## Static Private Attributes
Destiny3DFactory * | s_pFactory = NULL
## Friends
IDestiny3DFactory * | Destiny3D_GetFactory ()

## Constructor & Destructor Documentation

Destiny3DFactory::Destiny3DFactory | ( |  | ) | `[inline]`

Destiny3DFactory::~Destiny3DFactory | ( |  | ) | `[inline]`

## Member Function Documentation

Ide2DCollection* Destiny3DFactory::CreateIde2DCollection | ( |  | ) | `[inline, virtual]`

| Implements IDestiny3DFactory.

IdeBitmap* Destiny3DFactory::CreateIdeBitmap | ( |  | ) | `[inline, virtual]`

| Implements IDestiny3DFactory.

IdeBitmapProxy* Destiny3DFactory::CreateIdeBitmapProxy | ( | IdeResourceBase * | FromBitmap | ) | `[inline, virtual]`

| Implements IDestiny3DFactory.

IdeBitmap* Destiny3DFactory::CreateIdeBitmapWithInfo | ( | s32 | Width,
|  | s32 | Height,
|  | IdeDriver::BPP | Format,
|  | deBoolean | CubeMap
| ) | `[inline, virtual]`

| Implements IDestiny3DFactory.

IdeCamera* Destiny3DFactory::CreateIdeCamera | ( |  | ) | `[inline, virtual]`

| Implements IDestiny3DFactory.

IdeCollision* Destiny3DFactory::CreateIdeCollision | ( |  | ) | `[inline, virtual]`

| Implements IDestiny3DFactory.

IdeDriverLoad* Destiny3DFactory::CreateIdeDriverLoad | ( | char const * | path | ) | `[inline, virtual]`

| Implements IDestiny3DFactory.

IdeFileMemory* Destiny3DFactory::CreateIdeFileMemory | ( |  | ) | `[inline, virtual]`

| Implements IDestiny3DFactory.

IdeFilePlugin* Destiny3DFactory::CreateIdeFilePlugin | ( |  | ) | `[inline, virtual]`

| Implements IDestiny3DFactory.

IdeFont* Destiny3DFactory::CreateIdeFont | ( |  | ) | `[inline, virtual]`

| Implements IDestiny3DFactory.

IdeFSReal* Destiny3DFactory::CreateIdeFSReal | ( |  | ) | `[inline, virtual]`

| Implements IDestiny3DFactory.

IdeFSVirtual* Destiny3DFactory::CreateIdeFSVirtual | ( |  | ) | `[inline, virtual]`

| Implements IDestiny3DFactory.

IdeMesh* Destiny3DFactory::CreateIdeMesh | ( |  | ) | `[inline, virtual]`

| Implements IDestiny3DFactory.

IdePlaneFrustum* Destiny3DFactory::CreateIdePlaneFrustum | ( |  | ) | `[inline, virtual]`

| Implements IDestiny3DFactory.

IdePluginRijndael* Destiny3DFactory::CreateIdePluginRijndael | ( |  | ) | `[inline, virtual]`

| Implements IDestiny3DFactory.

IdePluginSHA1* Destiny3DFactory::CreateIdePluginSHA1 | ( |  | ) | `[inline, virtual]`

| Implements IDestiny3DFactory.

IdePluginTwofish* Destiny3DFactory::CreateIdePluginTwofish | ( |  | ) | `[inline, virtual]`

| Implements IDestiny3DFactory.

IdePluginZLib* Destiny3DFactory::CreateIdePluginZLib | ( |  | ) | `[inline, virtual]`

| Implements IDestiny3DFactory.

IdePortal* Destiny3DFactory::CreateIdePortal | ( |  | ) | `[inline, virtual]`

| Implements IDestiny3DFactory.

IdeRenderLight* Destiny3DFactory::CreateIdeRenderLight | ( |  | ) | `[inline, virtual]`

| Implements IDestiny3DFactory.

IdeRenderMaterial* Destiny3DFactory::CreateIdeRenderMaterial | ( |  | ) | `[inline, virtual]`

| Implements IDestiny3DFactory.

IdeRenderTexture* Destiny3DFactory::CreateIdeRenderTexture | ( |  | ) | `[inline, virtual]`

| Implements IDestiny3DFactory.

IdeSceneABT* Destiny3DFactory::CreateIdeSceneABT | ( |  | ) | `[inline, virtual]`

| Implements IDestiny3DFactory.

IdeSceneActor* Destiny3DFactory::CreateIdeSceneActor | ( |  | ) | `[inline, virtual]`

| Implements IDestiny3DFactory.

IdeSceneLight* Destiny3DFactory::CreateIdeSceneLight | ( |  | ) | `[inline, virtual]`

| Implements IDestiny3DFactory.

IdeSceneRoom* Destiny3DFactory::CreateIdeSceneRoom | ( |  | ) | `[inline, virtual]`

| Implements IDestiny3DFactory.

IdeSceneSky* Destiny3DFactory::CreateIdeSceneSky | ( |  | ) | `[inline, virtual]`

| Implements IDestiny3DFactory.

IdeSceneStaticMesh* Destiny3DFactory::CreateIdeSceneStaticMesh | ( |  | ) | `[inline, virtual]`

| Implements IDestiny3DFactory.

IdeSceneTerrain* Destiny3DFactory::CreateIdeSceneTerrain | ( |  | ) | `[inline, virtual]`

| Implements IDestiny3DFactory.

IdeSurface* Destiny3DFactory::CreateIdeSurface | ( |  | ) | `[inline, virtual]`

| Implements IDestiny3DFactory.

IdeThread* Destiny3DFactory::CreateIdeThread | ( | IdeThread::ThreadProc | threadProc | ) | `[inline, virtual]`

| Implements IDestiny3DFactory.

IdeThreadLock* Destiny3DFactory::CreateIdeThreadLock | ( | u32 | spinCount | ) | `[inline, virtual]`

| Implements IDestiny3DFactory.

IdeVertexBuffer* Destiny3DFactory::CreateIdeVertexBuffer | ( |  | ) | `[inline, virtual]`

| Implements IDestiny3DFactory.

long Destiny3DFactory::GetIdeAnimatedMeshRscInterfaceID | ( |  | ) | `[inline, virtual]`

| Implements IDestiny3DFactory.

long Destiny3DFactory::GetIdeBitmapProxyWOInterfaceID | ( |  | ) | `[inline, virtual]`

| Implements IDestiny3DFactory.

long Destiny3DFactory::GetIdeBitmapRscInterfaceID | ( |  | ) | `[inline, virtual]`

| Implements IDestiny3DFactory.

long Destiny3DFactory::GetIdeMeshWOInterfaceID | ( |  | ) | `[inline, virtual]`

| Implements IDestiny3DFactory.

IdeRender* Destiny3DFactory::GetIdeRender | ( |  | ) | `[inline, virtual]`

| Implements IDestiny3DFactory.

long Destiny3DFactory::GetIdeRenderStateWOInterfaceID | ( |  | ) | `[inline, virtual]`

| Implements IDestiny3DFactory.

IdeResourceManager* Destiny3DFactory::GetIdeResourceManager | ( |  | ) | `[inline, virtual]`

| Implements IDestiny3DFactory.

IdeSceneGraph* Destiny3DFactory::GetIdeSceneGraph | ( |  | ) | `[inline, virtual]`

| Implements IDestiny3DFactory.

long Destiny3DFactory::GetIdeSceneObjectWOInterfaceID | ( |  | ) | `[inline, virtual]`

| Implements IDestiny3DFactory.

long Destiny3DFactory::GetIdeSceneRoomWOInterfaceID | ( |  | ) | `[inline, virtual]`

| Implements IDestiny3DFactory.

long Destiny3DFactory::GetIdeSurfaceWOInterfaceID | ( |  | ) | `[inline, virtual]`

| Implements IDestiny3DFactory.

IdeThreadPool* Destiny3DFactory::GetIdeThreadPool | ( | u32 | minThreadCount | ) | `[inline, virtual]`

| Implements IDestiny3DFactory.

IdeWorldManager* Destiny3DFactory::GetIdeWorldManager | ( |  | ) | `[inline, virtual]`

| Implements IDestiny3DFactory.

void Destiny3DFactory::ShutDown | ( |  | ) | `[inline, virtual]`

| Implements IDestiny3DFactory.

## Friends And Related Function Documentation

IDestiny3DFactory* Destiny3D_GetFactory | ( |  | ) | `[friend]`

## Member Data Documentation

Destiny3DFactory * Destiny3DFactory::s_pFactory = NULL`[static, private]`

The documentation for this class was generated from the following file:

- Destiny3DFactory.cpp